"use strict";

const { images_url } = require("../../../constants");

class SoftwareDevelopment {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id: "software-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header logo-left",
                    contents: [
                        {
                            tag: "div",
                            class: "page-contents-center grid-wrapper",
                            contents: [
                                {
                                    tag: "div",
                                    class: "logo",
                                    contents: [{ tag: "img", src: `${images_url}/meca_proc.svg` }],
                                },
                                { tag: "h1", contents: "Software" },
                                {
                                    tag: "p",
                                    contents: `Développement web et outillage autour du gamedev. 
                                    <br />Quand nous avons besoin d'un service logiciel simple et qu'il est pertinent (ou juste que ça nous fait plaisir) de le 
                                    développer nous même nous essayons au maximum de le réaliser de façon générique et de le publier sous license libre et open source`,
                                },
                            ],
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = SoftwareDevelopment;
